summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2017-05-08 00:37:19 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-05-13 06:58:48 +0700
commit8791e07ce4528f3db4716a13dba89949ea4c58b1 (patch)
treea292718d9004c7ad28c3e13edee60d2c7504c004 /network
parent35631ca2cf966c0be49d736759319d36ee1bea5d (diff)
downloadslackbuilds-8791e07ce4528f3db4716a13dba89949ea4c58b1.tar.gz
slackbuilds-8791e07ce4528f3db4716a13dba89949ea4c58b1.tar.xz
network/kivy-garden: Added (Garden tool for kivy flowers).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/kivy-garden/README2
-rw-r--r--network/kivy-garden/kivy-garden.SlackBuild91
-rw-r--r--network/kivy-garden/kivy-garden.info10
-rw-r--r--network/kivy-garden/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/network/kivy-garden/README b/network/kivy-garden/README
new file mode 100644
index 0000000000..423779d7a7
--- /dev/null
+++ b/network/kivy-garden/README
@@ -0,0 +1,2 @@
+Kivy garden installation script, split into its own package for convenient use
+in buildozer.
diff --git a/network/kivy-garden/kivy-garden.SlackBuild b/network/kivy-garden/kivy-garden.SlackBuild
new file mode 100644
index 0000000000..ee7b08feb1
--- /dev/null
+++ b/network/kivy-garden/kivy-garden.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for kivy-garden
+
+# Copyright 2017 Dimitris Zlatanidis Orestiada, Greece
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=kivy-garden
+SRCNAM=$( echo $PRGNAM | cut -c6-11)
+VERSION=${VERSION:-0.1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Remove unused
+sed -i "s/, 'bin\/garden.bat'//" setup.py
+# Update message for Slackware users
+sed -i -e "23d" -e "s/require requests/require python-requests/" bin/$SRCNAM
+
+python setup.py install --root=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/kivy-garden/kivy-garden.info b/network/kivy-garden/kivy-garden.info
new file mode 100644
index 0000000000..a906c423d1
--- /dev/null
+++ b/network/kivy-garden/kivy-garden.info
@@ -0,0 +1,10 @@
+PRGNAM="kivy-garden"
+VERSION="0.1.4"
+HOMEPAGE="https://github.com/kivy-garden/garden"
+DOWNLOAD="https://pypi.python.org/packages/7d/68/decaee596ff8168a39432eb3949fc7c0be952ebb9467806823bffc165d48/kivy-garden-0.1.4.tar.gz"
+MD5SUM="069b94c5a05e5b018ee7e7c2f10630db"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python-requests"
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/network/kivy-garden/slack-desc b/network/kivy-garden/slack-desc
new file mode 100644
index 0000000000..f22bdb31cb
--- /dev/null
+++ b/network/kivy-garden/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+kivy-garden: kivy-garden (Garden tool for kivy flowers)
+kivy-garden:
+kivy-garden: The kivy garden installation script, split into its own package for
+kivy-garden: convenient use in buildozer.
+kivy-garden:
+kivy-garden: Homepage: https://github.com/kivy-garden/garden
+kivy-garden:
+kivy-garden:
+kivy-garden:
+kivy-garden:
+kivy-garden: